Subject: RE: [Simple] Event Filtering Issue 5: XPATH usage

From: [email-masked]
Date: Tue, 8 Jun 2004 14:08:19 +0300

A week has passed without comments on this issue. Therefore I conclude that the proposal I made below is acceptable.

Thanks,
Hisham

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext [email-masked]
> Sent: 31.May.2004 16:03
> To: [email-masked]
> Subject: [Simple] Event Filtering Issue 5: XPATH usage
> 
> 
> This issue was not presented at the interim. I only thought 
> of it afterwards.
> 
> The current event notification filtering solution uses XPATH 
> expression to identify the elements that a subscriber wishes 
> to be notified about changes to it and/or wishes for to be 
> included in the notification.
> 
> The issue is very similar to an XCAP issue: What if the XPATH 
> expression evaluates to more than one element at a certain 
> step? We cannot mandate an XML schema with restrictions as is 
> done for XCAP since a) it is too late, b) might not be desirable
> 
> My proposal are:
> 
> 1. the filter would apply to all the elements that are 
> evaluated. I.e. If a filter evaluates to 2 elements, both are included
> 
> 2. the first match wins.
> 
> I prefer proposal 1, but welcome other ideas.
> 
> Thanks,
> Hisham
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple